Skip to content

Attachments ​

Upload files to send with a message. 3 endpoints

POST /attachments​

/api/v1/attachments · Needs a session

Request body

FieldTypeRequiredNotes
namestringyeslength 1–200
mediaTypestringyeslength 0–100
datastringyeslength 1–13981018

Example

bash
curl -X POST 'https://api.lexcetha.com/api/v1/attachments' \
  -H "Authorization: Bearer $LEX_TOKEN" \
  -H 'Content-Type: application/json' \
  -d '{"name":"string","mediaType":"string","data":"string"}'

GET /attachments/{id}/content​

/api/v1/attachments/{id}/content · Needs a session

Parameters

FieldTypeRequiredNotes
id (path)stringyes

Example

bash
curl -X GET 'https://api.lexcetha.com/api/v1/attachments/:id/content' \
  -H "Authorization: Bearer $LEX_TOKEN"

DELETE /attachments/{id}​

/api/v1/attachments/{id} · Needs a session

Parameters

FieldTypeRequiredNotes
id (path)stringyes

Example

bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/attachments/:id' \
  -H "Authorization: Bearer $LEX_TOKEN"

Lex by Gavalytics AI